import type { ComponentMeta, ComponentStory } from '@storybook/react';
import React from 'react';
export declare const Playground: ComponentStory<React.ForwardRefExoticComponent<{
    variant: import("../..").MessagingTypes;
    children: React.ReactNode;
    className?: string | undefined;
    icon?: React.ReactNode;
    title?: React.ReactNode;
    showClose?: boolean | undefined;
    onClose?: (() => void) | undefined;
    compact?: boolean | undefined;
    primaryAction?: import("../..").MessagingAction | undefined;
    dismissAction?: import("../..").MessagingAction | undefined;
    componentName?: import("../../types").ComponentName | undefined;
} & import("../../../types").DefaultAttributes & React.RefAttributes<HTMLInputElement>>>;
declare const _default: ComponentMeta<React.ForwardRefExoticComponent<{
    variant: import("../..").MessagingTypes;
    children: React.ReactNode;
    className?: string | undefined;
    icon?: React.ReactNode;
    title?: React.ReactNode;
    showClose?: boolean | undefined;
    onClose?: (() => void) | undefined;
    compact?: boolean | undefined;
    primaryAction?: import("../..").MessagingAction | undefined;
    dismissAction?: import("../..").MessagingAction | undefined;
    componentName?: import("../../types").ComponentName | undefined;
} & import("../../../types").DefaultAttributes & React.RefAttributes<HTMLInputElement>>>;
export default _default;
